While installing a new Synology with DSM4, I noticed a (minor) flow in optware. I noticed this while installing the optware-devel package.

Specifically, ipkg doesn't complain when removing wget, although it very much depends on it. I required wget-ssl which is in conflict with wget and I got trapped between "already removed wget" and "can not install wget-ssl (or wget) because wget is required to get wget-ssl (or wget) in the first place"!